# Interface BinaryTasksCollection

All Superinterfaces:
  `Collection<Task>, DomainObjectCollection<Task>, DomainObjectSet<Task>, Iterable<Task>, Set<Task>`

All Known Subinterfaces:
  `NativeExecutableBinarySpec.TasksCollection, NativeTestSuiteBinarySpec.TasksCollection, SharedLibraryBinarySpec.TasksCollection, StaticLibraryBinarySpec.TasksCollection, TestSuiteTaskCollection`

@Incubating @Deprecated public interface BinaryTasksCollection extends DomainObjectSet<Task>
Deprecated.
The Gradle software model is deprecated and will be removed in Gradle 10. Use the new component model (e.g. `cpp-application`, `cpp-library`, `swift-application`, `swift-library`, `xctest`) instead.
A collection of tasks associated to a binary

Since:
  2.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T extends Task>
  void`
  `create(String name, Class<T> type, Action<? super T> config)`
  Deprecated.
  Create.
  `Task`
  `getBuild()`
  Deprecated.
  The task that can be used to assemble this binary.
  `Task`
  `getCheck()`
  Deprecated.
  The task that can be used to check this binary.
  `String`
  `taskName(String verb)`
  Deprecated.
  Generates a name for a task that performs some action on the binary.
  `String`
  `taskName(String verb, String object)`
  Deprecated.
  Generates a name for a task that performs some action on the binary.

  ### Methods inherited from interface Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface DomainObjectCollection

  `addAllLater, addLater, all, all, configureEach, disallowChanges, getElements, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

  ### Methods inherited from interface DomainObjectSet

  `findAll, matching, matching, withType`

  ### Methods inherited from interface Iterable

  `forEach`

  ### Methods inherited from interface Set

  `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

- ## Method Details

  - ### taskName

    String taskName(String verb)
    Deprecated.
    Generates a name for a task that performs some action on the binary.
    Since:
      2.10

  - ### taskName

    String taskName(String verb, String object)
    Deprecated.
    Generates a name for a task that performs some action on the binary.
    Since:
      2.10

  - ### getBuild

    Task getBuild()
    Deprecated.
    The task that can be used to assemble this binary.
    Since:
      2.2

  - ### getCheck

    Task getCheck()
    Deprecated.
    The task that can be used to check this binary.
    Since:
      3.2

  - ### create

    <T extends Task> void create(String name, Class<T> type, Action<? super T> config)
    Deprecated.
    Create.
    Since:
      2.4